For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exchange

Перед использованием endpoints прочитайте guide: Общий сценарий обмена.

Здесь собраны endpoints для формы обмена: платежные системы, направления, расчет, preflight, создание заявки и работа со статусом.

Обычно интеграция идет по цепочке:

payment-systems -> routes -> capabilities -> quote -> preflight -> create order -> status/actions

Платежные системы

List active payment systems

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
pageinteger · min: 1OptionalDefault: 1
per_pageinteger · min: 1 · max: 100OptionalDefault: 25
paginationstring · enumOptional

Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.

Default: pagePossible values:
cursorstring · nullableOptional

Opaque cursor returned in meta.pagination.next_cursor.

sortstringOptionalExample: sorting,id
filter[id]integerOptional
filter[payment_id]integerOptional
filter[code_currency_id]integerOptional
filter[side]string · enumOptionalPossible values:
filter[from_currency_id]integerOptional
filter[to_currency_id]integerOptional
filter[currency_code]stringOptionalExample: USDT
filter[letter_code]stringOptionalExample: USDTTRC20
filter[short_code]stringOptionalExample: USDT
filter[network]stringOptionalExample: TRON
Responses
200

Active payment systems.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/payment-systems
GET /api/v3/private/exchange/payment-systems HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": [
    {
      "id": 1,
      "type": "payment_system",
      "name": "text",
      "payment": {
        "id": 1,
        "name": "text",
        "logo": "text",
        "logo_url": "text"
      },
      "currency": {
        "id": 1,
        "code": "text",
        "sign": "text"
      },
      "codes": {
        "letter": "text",
        "short": "text",
        "network_in": "text",
        "network_out": "text"
      },
      "precision": {
        "amount_decimal": 1
      },
      "capabilities": {
        "can_give": true,
        "can_receive": true,
        "income_enabled": 1,
        "outcome_enabled": 1
      },
      "routes": {
        "give_to": [
          {
            "route_id": 1,
            "currency_id": 1
          }
        ],
        "receive_from": [
          {
            "route_id": 1,
            "currency_id": 1
          }
        ]
      },
      "form": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "notices": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "network": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "filters": {
        "ids": [
          1
        ]
      },
      "sorting": {
        "ANY_ADDITIONAL_PROPERTY": 1
      }
    }
  ],
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Направления

List active exchange routes

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
pageinteger · min: 1OptionalDefault: 1
per_pageinteger · min: 1 · max: 100OptionalDefault: 25
paginationstring · enumOptional

Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.

Default: pagePossible values:
cursorstring · nullableOptional

Opaque cursor returned in meta.pagination.next_cursor.

sortstringOptionalExample: sorting,id
filter[id]integerOptional
filter[from_currency_id]integerOptional
filter[to_currency_id]integerOptional
filter[from]stringOptionalExample: USDT
filter[to]stringOptionalExample: USD
Responses
200

Active exchange routes.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes
GET /api/v3/private/exchange/routes HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": [
    {
      "id": 1,
      "status": 1,
      "is_enabled": true,
      "name": "text",
      "from": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "to": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "limits": {
        "min_give": "text",
        "max_give": "text",
        "min_receive": "text",
        "max_receive": "text"
      },
      "rate": {
        "type": "fixed",
        "course": "text",
        "is_type_rate": true,
        "default_type_rate": 0,
        "modes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "features": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "sorting": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "timestamps": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Детали направления

Получить направление по ID

Show active exchange route

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
routeintegerRequired
Responses
200

Exchange route.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes/{route}
GET /api/v3/private/exchange/routes/{route} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "id": 1,
    "status": 1,
    "is_enabled": true,
    "name": "text",
    "from": {
      "id": 1,
      "payment": "text",
      "code": "text",
      "designation": "text",
      "small_code": "text",
      "network": "text",
      "network_out": "text",
      "decimal": 1
    },
    "to": {
      "id": 1,
      "payment": "text",
      "code": "text",
      "designation": "text",
      "small_code": "text",
      "network": "text",
      "network_out": "text",
      "decimal": 1
    },
    "limits": {
      "min_give": "text",
      "max_give": "text",
      "min_receive": "text",
      "max_receive": "text"
    },
    "rate": {
      "type": "fixed",
      "course": "text",
      "is_type_rate": true,
      "default_type_rate": 0,
      "modes": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "features": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "sorting": {
      "ANY_ADDITIONAL_PROPERTY": 1
    },
    "timestamps": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Детали направления по фильтрам

Show exchange route details by currency pair

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
route_idintegerOptional
direction_idintegerOptional
from_currency_idintegerOptional
to_currency_idintegerOptional
fromstringOptionalExample: USDT
tostringOptionalExample: USD
Responses
200

Exchange route details compatible with client operation payload.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes/details
GET /api/v3/private/exchange/routes/details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "route": {
      "id": 1,
      "status": 1,
      "is_enabled": true,
      "name": "text",
      "from": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "to": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "limits": {
        "min_give": "text",
        "max_give": "text",
        "min_receive": "text",
        "max_receive": "text"
      },
      "rate": {
        "type": "fixed",
        "course": "text",
        "is_type_rate": true,
        "default_type_rate": 0,
        "modes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "features": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "sorting": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "timestamps": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "operation": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "snapshot": {
      "version": "route-snapshot-v1",
      "route_id": 1,
      "hash": "text",
      "generated_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z",
      "fingerprint": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "operation_contract": {
      "version": "operation-contract-v1",
      "route": {
        "id": 1,
        "status": 1,
        "is_enabled": true,
        "name": "text",
        "from": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "to": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "limits": {
          "min_give": "text",
          "max_give": "text",
          "min_receive": "text",
          "max_receive": "text"
        },
        "rate": {
          "type": "fixed",
          "course": "text",
          "is_type_rate": true,
          "default_type_rate": 0,
          "modes": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "features": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "sorting": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "timestamps": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "operation": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "snapshot": {
        "version": "route-snapshot-v1",
        "route_id": 1,
        "hash": "text",
        "generated_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "fingerprint": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "contract": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "contract": {
      "quote_endpoint": "text",
      "preflight_endpoint": "text",
      "order_endpoint": "text",
      "amount_side": "give",
      "currency_fields": [
        "text"
      ]
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Детали направления по ID

Show exchange route details by id

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
routeintegerRequired
Responses
200

Exchange route details compatible with client operation payload.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes/{route}/details
GET /api/v3/private/exchange/routes/{route}/details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "route": {
      "id": 1,
      "status": 1,
      "is_enabled": true,
      "name": "text",
      "from": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "to": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "limits": {
        "min_give": "text",
        "max_give": "text",
        "min_receive": "text",
        "max_receive": "text"
      },
      "rate": {
        "type": "fixed",
        "course": "text",
        "is_type_rate": true,
        "default_type_rate": 0,
        "modes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "features": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "sorting": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "timestamps": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "operation": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "snapshot": {
      "version": "route-snapshot-v1",
      "route_id": 1,
      "hash": "text",
      "generated_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z",
      "fingerprint": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "operation_contract": {
      "version": "operation-contract-v1",
      "route": {
        "id": 1,
        "status": 1,
        "is_enabled": true,
        "name": "text",
        "from": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "to": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "limits": {
          "min_give": "text",
          "max_give": "text",
          "min_receive": "text",
          "max_receive": "text"
        },
        "rate": {
          "type": "fixed",
          "course": "text",
          "is_type_rate": true,
          "default_type_rate": 0,
          "modes": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "features": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "sorting": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "timestamps": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "operation": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "snapshot": {
        "version": "route-snapshot-v1",
        "route_id": 1,
        "hash": "text",
        "generated_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "fingerprint": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "contract": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "contract": {
      "quote_endpoint": "text",
      "preflight_endpoint": "text",
      "order_endpoint": "text",
      "amount_side": "give",
      "currency_fields": [
        "text"
      ]
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Детали направления по паре валют

Show exchange route details by selected currency pair ids

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
fromintegerRequired

Currency/payment-system id selected as give side.

tointegerRequired

Currency/payment-system id selected as receive side.

Responses
200

Exchange route details compatible with client operation payload.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes/{from}/{to}/details
GET /api/v3/private/exchange/routes/{from}/{to}/details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "route": {
      "id": 1,
      "status": 1,
      "is_enabled": true,
      "name": "text",
      "from": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "to": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "limits": {
        "min_give": "text",
        "max_give": "text",
        "min_receive": "text",
        "max_receive": "text"
      },
      "rate": {
        "type": "fixed",
        "course": "text",
        "is_type_rate": true,
        "default_type_rate": 0,
        "modes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "features": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "sorting": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "timestamps": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "operation": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "snapshot": {
      "version": "route-snapshot-v1",
      "route_id": 1,
      "hash": "text",
      "generated_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z",
      "fingerprint": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "operation_contract": {
      "version": "operation-contract-v1",
      "route": {
        "id": 1,
        "status": 1,
        "is_enabled": true,
        "name": "text",
        "from": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "to": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "limits": {
          "min_give": "text",
          "max_give": "text",
          "min_receive": "text",
          "max_receive": "text"
        },
        "rate": {
          "type": "fixed",
          "course": "text",
          "is_type_rate": true,
          "default_type_rate": 0,
          "modes": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "features": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "sorting": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "timestamps": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "operation": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "snapshot": {
        "version": "route-snapshot-v1",
        "route_id": 1,
        "hash": "text",
        "generated_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "fingerprint": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "contract": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "contract": {
      "quote_endpoint": "text",
      "preflight_endpoint": "text",
      "order_endpoint": "text",
      "amount_side": "give",
      "currency_fields": [
        "text"
      ]
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Возможности направления

Возможности направления по ID

Show route capability matrix by id

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
routeintegerRequired
Responses
200

Route capability matrix.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes/{route}/capabilities
GET /api/v3/private/exchange/routes/{route}/capabilities HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "capabilities": {
      "version": "route-capabilities-v1",
      "route_id": 1,
      "status": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "actions": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "amounts": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "rate": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "fields": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "dynamic_fields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "requirements": {
        "route_id": 1,
        "order": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "identity": {
          "required": true,
          "mode": "text",
          "description": "text",
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "card": {
          "required": true,
          "mode": 1,
          "description": "text",
          "settings": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "files": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "files": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "endpoints": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "snapshot": {
        "version": "route-snapshot-v1",
        "route_id": 1,
        "hash": "text",
        "generated_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "fingerprint": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "operation_contract": {
        "version": "operation-contract-v1",
        "route": {
          "id": 1,
          "status": 1,
          "is_enabled": true,
          "name": "text",
          "from": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "to": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "limits": {
            "min_give": "text",
            "max_give": "text",
            "min_receive": "text",
            "max_receive": "text"
          },
          "rate": {
            "type": "fixed",
            "course": "text",
            "is_type_rate": true,
            "default_type_rate": 0,
            "modes": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "features": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "sorting": {
            "ANY_ADDITIONAL_PROPERTY": 1
          },
          "timestamps": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "operation": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "snapshot": {
          "version": "route-snapshot-v1",
          "route_id": 1,
          "hash": "text",
          "generated_at": "2026-01-01T00:00:00.000Z",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "fingerprint": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "contract": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Возможности направления по паре валют

Show route capability matrix by selected currency pair ids

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
fromintegerRequired

Currency/payment-system id selected as give side.

tointegerRequired

Currency/payment-system id selected as receive side.

Responses
200

Route capability matrix.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/routes/{from}/{to}/capabilities
GET /api/v3/private/exchange/routes/{from}/{to}/capabilities HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "capabilities": {
      "version": "route-capabilities-v1",
      "route_id": 1,
      "status": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "actions": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "amounts": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "rate": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "fields": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "dynamic_fields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "requirements": {
        "route_id": 1,
        "order": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "identity": {
          "required": true,
          "mode": "text",
          "description": "text",
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "card": {
          "required": true,
          "mode": 1,
          "description": "text",
          "settings": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "files": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "files": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "endpoints": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "snapshot": {
        "version": "route-snapshot-v1",
        "route_id": 1,
        "hash": "text",
        "generated_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "fingerprint": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "operation_contract": {
        "version": "operation-contract-v1",
        "route": {
          "id": 1,
          "status": 1,
          "is_enabled": true,
          "name": "text",
          "from": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "to": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "limits": {
            "min_give": "text",
            "max_give": "text",
            "min_receive": "text",
            "max_receive": "text"
          },
          "rate": {
            "type": "fixed",
            "course": "text",
            "is_type_rate": true,
            "default_type_rate": 0,
            "modes": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "features": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "sorting": {
            "ANY_ADDITIONAL_PROPERTY": 1
          },
          "timestamps": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "operation": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "snapshot": {
          "version": "route-snapshot-v1",
          "route_id": 1,
          "hash": "text",
          "generated_at": "2026-01-01T00:00:00.000Z",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "fingerprint": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "contract": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Расчет quote

Preview exchange calculation

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
anyOptional
or
anyOptional
Responses
200

Quote without order creation.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
post/private/exchange/quotes
POST /api/v3/private/exchange/quotes HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 476

{
  "route_id": 1,
  "direction_id": 1,
  "income_payment_system": 1,
  "outcome_payment_system": 1,
  "from_currency_id": 1,
  "to_currency_id": 1,
  "from": "text",
  "to": "text",
  "from_code": "text",
  "to_code": "text",
  "amount": "100",
  "income_amount": "text",
  "city_id": 1,
  "type_rate": 0,
  "selected_fee_type": "text",
  "selected_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selector_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "checkbox_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "card_verification_required": true
}
{
  "state": 0,
  "message": "text",
  "result": {
    "quote": {
      "route": {
        "id": 1,
        "status": 1,
        "is_enabled": true,
        "name": "text",
        "from": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "to": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "limits": {
          "min_give": "text",
          "max_give": "text",
          "min_receive": "text",
          "max_receive": "text"
        },
        "rate": {
          "type": "fixed",
          "course": "text",
          "is_type_rate": true,
          "default_type_rate": 0,
          "modes": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "features": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "sorting": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "timestamps": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "amounts": {
        "give": "text",
        "receive": "text"
      },
      "components": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "rate": {
        "display": "text",
        "value": "text",
        "source": "calculation",
        "selected": "fixed",
        "modes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "base_rate": {
        "display": "text",
        "value": "text",
        "source": "direction",
        "selected": "fixed",
        "modes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "note": "text"
      },
      "adjustments": {
        "city_id": 1,
        "selected_fee_type": "text",
        "selected_fees": [],
        "selector_fees": [],
        "checkbox_fees": [],
        "card_verification_required": true
      },
      "promo": {
        "applied": true,
        "base_receive_amount": "text"
      },
      "task_payload": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "snapshot": {
      "version": "route-snapshot-v1",
      "route_id": 1,
      "hash": "text",
      "generated_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z",
      "fingerprint": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Проверка preflight

Validate an exchange order before creation

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
route_idinteger · nullableOptional
direction_idinteger · nullableOptional
income_payment_systeminteger · nullableOptional
outcome_payment_systeminteger · nullableOptional
from_currency_idinteger · nullableOptional
to_currency_idinteger · nullableOptional
fromstring · nullableOptional
tostring · nullableOptional
from_codestring · nullableOptional
to_codestring · nullableOptional
amountstringOptionalExample: 100
income_amountstring · nullableOptional

Alias of amount.

city_idinteger · nullableOptional
type_rateone of · nullableOptional

0/fixed = fixed rate, 1/floating = floating rate.

integer · enumOptionalPossible values:
or
string · enumOptionalPossible values:
selected_fee_typestring · nullableOptional
card_verification_requiredboolean · nullableOptional
income_accountstring · nullableOptional
outcome_accountstring · nullableOptional
Responses
200

Preflight result with quote, operation contract, requirements and route snapshot.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
post/private/exchange/orders/preflight
POST /api/v3/private/exchange/orders/preflight HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 902

{
  "route_id": 1,
  "direction_id": 1,
  "income_payment_system": 1,
  "outcome_payment_system": 1,
  "from_currency_id": 1,
  "to_currency_id": 1,
  "from": "text",
  "to": "text",
  "from_code": "text",
  "to_code": "text",
  "amount": "100",
  "income_amount": "text",
  "city_id": 1,
  "type_rate": 0,
  "selected_fee_type": "text",
  "selected_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selector_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "checkbox_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "card_verification_required": true,
  "income_account": "text",
  "outcome_account": "text",
  "direction_fields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "user_fields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "checkbox_agreements": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "snapshot": {
    "version": "route-snapshot-v1",
    "route_id": 1,
    "hash": "text",
    "generated_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z",
    "fingerprint": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
{
  "state": 0,
  "message": "text",
  "result": {
    "preflight": {
      "allowed": true,
      "can_create_order": true,
      "missing_fields": [
        {
          "field": "text",
          "type": "text",
          "message": "text"
        }
      ],
      "quote": {
        "route": {
          "id": 1,
          "status": 1,
          "is_enabled": true,
          "name": "text",
          "from": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "to": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "limits": {
            "min_give": "text",
            "max_give": "text",
            "min_receive": "text",
            "max_receive": "text"
          },
          "rate": {
            "type": "fixed",
            "course": "text",
            "is_type_rate": true,
            "default_type_rate": 0,
            "modes": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "features": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "sorting": {
            "ANY_ADDITIONAL_PROPERTY": 1
          },
          "timestamps": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "amounts": {
          "give": "text",
          "receive": "text"
        },
        "components": [
          {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ],
        "rate": {
          "display": "text",
          "value": "text",
          "source": "calculation",
          "selected": "fixed",
          "modes": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "base_rate": {
          "display": "text",
          "value": "text",
          "source": "direction",
          "selected": "fixed",
          "modes": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "note": "text"
        },
        "adjustments": {
          "city_id": 1,
          "selected_fee_type": "text",
          "selected_fees": [],
          "selector_fees": [],
          "checkbox_fees": [],
          "card_verification_required": true
        },
        "promo": {
          "applied": true,
          "base_receive_amount": "text"
        },
        "task_payload": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "operation_contract": {
        "version": "operation-contract-v1",
        "route": {
          "id": 1,
          "status": 1,
          "is_enabled": true,
          "name": "text",
          "from": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "to": {
            "id": 1,
            "payment": "text",
            "code": "text",
            "designation": "text",
            "small_code": "text",
            "network": "text",
            "network_out": "text",
            "decimal": 1
          },
          "limits": {
            "min_give": "text",
            "max_give": "text",
            "min_receive": "text",
            "max_receive": "text"
          },
          "rate": {
            "type": "fixed",
            "course": "text",
            "is_type_rate": true,
            "default_type_rate": 0,
            "modes": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "features": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "sorting": {
            "ANY_ADDITIONAL_PROPERTY": 1
          },
          "timestamps": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "operation": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "snapshot": {
          "version": "route-snapshot-v1",
          "route_id": 1,
          "hash": "text",
          "generated_at": "2026-01-01T00:00:00.000Z",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "fingerprint": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "contract": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "requirements": {
        "route_id": 1,
        "order": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "identity": {
          "required": true,
          "mode": "text",
          "description": "text",
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "card": {
          "required": true,
          "mode": 1,
          "description": "text",
          "settings": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "files": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "snapshot": {
        "version": "route-snapshot-v1",
        "route_id": 1,
        "hash": "text",
        "generated_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "fingerprint": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Создать заявку

Create exchange order

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
anyOptional
or
anyOptional
Responses
201

Created order.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
post/private/exchange/orders
POST /api/v3/private/exchange/orders HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1079

{
  "route_id": 1,
  "direction_id": 1,
  "income_amount": "100",
  "amount": "text",
  "outcome_amount": "text",
  "receive_amount": "text",
  "income_payment_system": 1,
  "outcome_payment_system": 1,
  "from_currency_id": 1,
  "to_currency_id": 1,
  "from": "text",
  "to": "text",
  "from_code": "text",
  "to_code": "text",
  "email": "name@gmail.com",
  "income_account": "text",
  "outcome_account": "text",
  "from_requisite": "text",
  "to_requisite": "text",
  "fields_in": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "fields_out": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "direction_fields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "user_fields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "extra_out": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selector_fees": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "checkbox_agreements": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "city_id": 1,
  "type_rate": 0,
  "promo_code": "text",
  "snapshot": {
    "version": "route-snapshot-v1",
    "route_id": 1,
    "hash": "text",
    "generated_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z",
    "fingerprint": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
{
  "state": 0,
  "message": "text",
  "result": {
    "order": {
      "id": 1,
      "public_id": "text",
      "tracking_id": "text",
      "status": {
        "id": 1,
        "key": "text",
        "name": "text",
        "is_final": true,
        "is_payment_flow": true,
        "is_problem": true
      },
      "amounts": {
        "give": "text",
        "receive": "text",
        "rate": "text"
      },
      "currencies": {
        "from": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        },
        "to": {
          "id": 1,
          "payment": "text",
          "code": "text",
          "designation": "text",
          "small_code": "text",
          "network": "text",
          "network_out": "text",
          "decimal": 1
        }
      },
      "direction": {},
      "customer": {},
      "payment": {},
      "flags": {},
      "timestamps": {}
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Получить заявку обмена

Show current client exchange order

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Responses
200

Current client order.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/orders/{order}
GET /api/v3/private/exchange/orders/{order} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "id": 1,
    "public_id": "text",
    "tracking_id": "text",
    "status": {
      "id": 1,
      "key": "text",
      "name": "text",
      "is_final": true,
      "is_payment_flow": true,
      "is_problem": true
    },
    "amounts": {
      "give": "text",
      "receive": "text",
      "rate": "text"
    },
    "currencies": {
      "from": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      },
      "to": {
        "id": 1,
        "payment": "text",
        "code": "text",
        "designation": "text",
        "small_code": "text",
        "network": "text",
        "network_out": "text",
        "decimal": 1
      }
    },
    "direction": {},
    "customer": {},
    "payment": {},
    "flags": {},
    "timestamps": {}
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Статус заявки

Show compact order status

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/exchange/orders/{order}/status
GET /api/v3/private/exchange/orders/{order}/status HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Действия по заявке

Show order state machine and allowed actions

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Responses
200

Order state machine.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/orders/{order}/actions
GET /api/v3/private/exchange/orders/{order}/actions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "actions": {
      "status": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "allowed_actions": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "transitions": [
        {
          "id": 1,
          "key": "text"
        }
      ],
      "requirements": {
        "route_id": 1,
        "order": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "identity": {
          "required": true,
          "mode": "text",
          "description": "text",
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "card": {
          "required": true,
          "mode": 1,
          "description": "text",
          "settings": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "current": {
            "id": 1,
            "key": "not_submitted",
            "label": "text",
            "is_final_approved": true,
            "verification_id": 1
          },
          "create_endpoint": "text"
        },
        "files": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Подтвердить оплату

Confirm payment or mark order unpaid

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
typestring · enumRequiredPossible values:
income_codestring · nullableOptional
num_txstring · nullableOptional
note_txstring · nullableOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/exchange/orders/{order}/confirm
POST /api/v3/private/exchange/orders/{order}/confirm HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "type": "paid",
  "income_code": "text",
  "num_tx": "text",
  "note_tx": "text"
}
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Отменить заявку

Cancel current client exchange order

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired
Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/exchange/orders/{order}/cancel
POST /api/v3/private/exchange/orders/{order}/cancel HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Отменить заявку через DELETE

Cancel current client exchange order

delete
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
delete/private/exchange/orders/{order}
DELETE /api/v3/private/exchange/orders/{order} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Последнее обновление

Это было полезно?